Bug 129664 - [warn] (32)Broken pipe: write pipe_of_death
[warn] (32)Broken pipe: write pipe_of_death
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
2
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-11 13:04 EDT by Jeff Bailey
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-21 11:44:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Bailey 2004-08-11 13:04:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2; Linux) (KHTML, like Gecko)

Description of problem:
I have already posted this on the users@httpd.apache.org mailing list and someone there suggested I post a bug here about this.

I have 2 stock fedora core 2 installations running stock httpd and receive the following error in my /var/log/httpd/error_log file on a consistent basis.

I've looked all over the place with no extended information about how to proceed with avoiding this warning in my apache error_log.

[Wed Aug 04 15:29:41 2004] [warn] (32)Broken pipe: write pipe_of_death
[Wed Aug 04 15:29:42 2004] [warn] (32)Broken pipe: write pipe_of_death

I'm receiving these error messages about 20 minutes after I do a reload or restart of the server and it keeps filling my logs until I hup or restart.

The person that suggested I submit a bug said these outputs would be useful as well.  The error is spitting out in the error_log while I run these commands.


ls -l /proc/`cat /var/run/httpd.pid`/fd/
total 28
lr-x------  1 root root 64 Aug 11 18:11 0 -> /dev/null
l-wx------  1 root root 64 Aug 11 18:11 1 -> /dev/null
l-wx------  1 root root 64 Aug 11 18:11 10 -> /dir/path/....
l-wx------  1 root root 64 Aug 11 18:11 11 -> /dir/path/....
l-wx------  1 root root 64 Aug 11 18:11 12 -> /dir/path/....
l-wx------  1 root root 64 Aug 11 18:11 13 -> /dir/path/....
l-wx------  1 root root 64 Aug 11 18:11 14 -> /dir/path/....
l-wx------  1 root root 64 Aug 11 18:11 15 -> /dir/path/....
l-wx------  1 root root 64 Aug 11 18:11 16 -> /dir/path/....
l-wx------  1 root root 64 Aug 11 18:11 17 -> /dir/path/....
l-wx------  1 root root 64 Aug 11 18:11 18 -> /dir/path/....
l-wx------  1 root root 64 Aug 11 18:11 19 -> /dir/path/....
l-wx------  1 root root 64 Aug 11 18:11 2 -> /dir/path/....
l-wx------  1 root root 64 Aug 11 18:11 20 -> /dir/path/....
l-wx------  1 root root 64 Aug 11 18:11 21 -> /dir/path/....
l-wx------  1 root root 64 Aug 11 18:11 22 -> /dir/path/....
l-wx------  1 root root 64 Aug 11 18:11 23 -> /dir/path/....
l-wx------  1 root root 64 Aug 11 18:11 24 -> /dir/path/....
l-wx------  1 root root 64 Aug 11 18:11 25 -> /dir/path/....
l-wx------  1 root root 64 Aug 11 18:11 26 -> /dir/path/....
l-wx------  1 root root 64 Aug 11 18:11 27 -> /dir/path/....
lrwx------  1 root root 64 Aug 11 18:11 3 -> socket:[2885]
lrwx------  1 root root 64 Aug 11 18:11 4 -> socket:[2887]
l-wx------  1 root root 64 Aug 11 18:11 5 -> pipe:[262236]
l-wx------  1 root root 64 Aug 11 18:11 6 -> /dir/path/....
l-wx------  1 root root 64 Aug 11 18:11 7 -> /dir/path/....
l-wx------  1 root root 64 Aug 11 18:11 8 -> /dir/path/....
l-wx------  1 root root 64 Aug 11 18:11 9 -> /dir/path/....

This command keeps going and going...

strace -p `cat /var/run/httpd.pid`
Process 1548 attached - interrupt to quit
select(0, NULL, NULL, NULL, {0, 585000}) = 0 (Timeout)
write(5, "!", 1)                        = -1 EPIPE (Broken pipe)
--- SIGPIPE (Broken pipe) @ 0 (0) ---
gettimeofday({1092243825, 962852}, NULL) = 0
write(6, "[Wed Aug 11 19:03:45 2004] [warn"..., 71) = 71
waitpid(-1, 0xfef688f0, WNOHANG|WUNTRACED) = 0
select(0, NULL, NULL, NULL, {1, 0})     = 0 (Timeout)
write(5, "!", 1)                        = -1 EPIPE (Broken pipe)
--- SIGPIPE (Broken pipe) @ 0 (0) ---
gettimeofday({1092243826, 964474}, NULL) = 0
write(6, "[Wed Aug 11 19:03:46 2004] [warn"..., 71) = 71
waitpid(-1, 0xfef688f0, WNOHANG|WUNTRACED) = 0
select(0, NULL, NULL, NULL, {1, 0})     = 0 (Timeout)
write(5, "!", 1)                        = -1 EPIPE (Broken pipe)
--- SIGPIPE (Broken pipe) @ 0 (0) ---
gettimeofday({1092243827, 966207}, NULL) = 0
write(6, "[Wed Aug 11 19:03:47 2004] [warn"..., 71) = 71
waitpid(-1, 0xfef688f0, WNOHANG|WUNTRACED) = 0
select(0, NULL, NULL, NULL, {1, 0})     = 0 (Timeout)
write(5, "!", 1)                        = -1 EPIPE (Broken pipe)
--- SIGPIPE (Broken pipe) @ 0 (0) ---
gettimeofday({1092243828, 966898}, NULL) = 0
write(6, "[Wed Aug 11 19:03:48 2004] [warn"..., 71) = 71
waitpid(-1, 0xfef688f0, WNOHANG|WUNTRACED) = 0
select(0, NULL, NULL, NULL, {1, 0})     = 0 (Timeout)
write(5, "!", 1)                        = -1 EPIPE (Broken pipe)
--- SIGPIPE (Broken pipe) @ 0 (0) ---
gettimeofday({1092243829, 967597}, NULL) = 0
write(6, "[Wed Aug 11 19:03:49 2004] [warn"..., 71) = 71
waitpid(-1, 0xfef688f0, WNOHANG|WUNTRACED) = 0
select(0, NULL, NULL, NULL, {1, 0})     = 0 (Timeout)
write(5, "!", 1)                        = -1 EPIPE (Broken pipe)
--- SIGPIPE (Broken pipe) @ 0 (0) ---
gettimeofday({1092243830, 968362}, NULL) = 0
write(6, "[Wed Aug 11 19:03:50 2004] [warn"..., 71) = 71
waitpid(-1, 0xfef688f0, WNOHANG|WUNTRACED) = 0
select(0, NULL, NULL, NULL, {1, 0})     = 0 (Timeout)
write(5, "!", 1)                        = -1 EPIPE (Broken pipe)
--- SIGPIPE (Broken pipe) @ 0 (0) ---
gettimeofday({1092243831, 969041}, NULL) = 0
write(6, "[Wed Aug 11 19:03:51 2004] [warn"..., 71) = 71
waitpid(-1, 0xfef688f0, WNOHANG|WUNTRACED) = 0
select(0, NULL, NULL, NULL, {1, 0})     = 0 (Timeout)
write(5, "!", 1)                        = -1 EPIPE (Broken pipe)
--- SIGPIPE (Broken pipe) @ 0 (0) ---




Version-Release number of selected component (if applicable):
httpd-2.0.50-2.1

How reproducible:
Always

Steps to Reproduce:
1.  Reload the apache service httpd reload
2.  Wait 20 minutes and watch the logs start filling up.
    

Actual Results:  The logs fill up with this warning on 2 machines.

Expected Results:  The logs should remain quiet.

Additional info:
Comment 1 Joe Orton 2004-08-17 06:21:13 EDT
Thanks for the report and strace output.  It's not obvious what the
cause of the problem is yet.

When httpd enters this state, are there any httpd children still
running; i.e. is it still serving requests?
Comment 2 Jeff Bailey 2004-08-20 08:54:25 EDT
It is still serving requests and everything appears to be working 
properly.  There was only one point where things were down and this 
was in the log at the same time but I think it might have just been 
coincidence. 
Comment 3 Matthew Miller 2005-04-26 12:14:29 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 4 Joe Orton 2005-06-21 11:44:20 EDT
[This is a mass bug update]

Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 or FC4 updates,
reopen and change the version to match.

Note You need to log in before you can comment on or make changes to this bug.